Subject: [os2genau_digest] No. 1265
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 24 Feb 2006 00:04:33 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 23 February 2006
 Number  1265
**************************************************

Subjects for today
 
1  Re:  USB Flash Memory : Chuck McKinnis <mckinnis at sandia dot net>
2  Re:  USB Flash Memory : Alan Duval <amoht at tpg dot com dot au>
3  Re:  USB Flash Memory : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
4  Re:  Firefox nspr4.dll : Christopher McRae" <christopher.mcrae at mq.edu.au>

**= Email   1 ==========================**

Date:  Wed, 22 Feb 2006 07:08:43 -0700
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  USB Flash Memory

Alan Duval wrote:
> Ed Durrant wrote:
> 
>> Alan Duval wrote:
>>
>>> Hi,
>>>
>>> I'm thinking of buying USB Flash Memory.
>>> Questions:
>>>
>>> 1.   Are there any brands that I should avoid?
>>> 2.   Will eCS 1.2 recognize it?
>>> 3.   Is formatting required?
>>>
>>> Regards,
>>>
>>> Alan duval
>>>
>> Hmm, if by "Flash memory" you mean a USB memory key (Flash memory is 
>> usually used to hold firmware code on various devices) - I have never 
>> had any issues as long as you have the latest USB drivers (basic and 
>> MSD) installed, however, to be sure to get a make/model that works 
>> check at http://www.os2warp.be
> 
> I had a look at the above site and could only see the following drivers:
> 
> 1.   USB 1.1 Basic Device Drivers / MSD  Driver set,  Version 1.2b  
> dated  26/1/03
> 
> 2.   Latest official IBM device driver build 10.097 (required for use of 
> USB keys)
> 
> Is 1. the latest ? as it is dated 26/1/03.
> 2. is unavailable unless one has a subscription so is it available 
> elsewhere than from IBM?
> 
> Regards,
> 
> Alan Duval

If you have an eCS license, they are available from www.ecomstation dot com.

-- 
Chuck McKinnis
Covenant Solutions
http://www.7cities dot net/~mckinnis/os2/
505-286-3191

"Trying to make something fool proof is a lost cause. Fools are so 
damned ingenious." - Joy Aycock 1977

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 23 Feb 2006 15:52:19 +1100
From:  Alan Duval <amoht at tpg dot com dot au>
Subject:  Re:  USB Flash Memory

Chuck McKinnis wrote:

>
>
> Alan Duval wrote:
>
>> Ed Durrant wrote:
>>
>>> Alan Duval wrote:
>>>
>> I had a look at the above site and could only see the following drivers:
>>
>> 1.   USB 1.1 Basic Device Drivers / MSD  Driver set,  Version 1.2b  
>> dated  26/1/03
>>
>> 2.   Latest official IBM device driver build 10.097 (required for use 
>> of USB keys)
>>
>> Is 1. the latest ? as it is dated 26/1/03.
>> 2. is unavailable unless one has a subscription so is it available 
>> elsewhere than from IBM?
>>
>>
>
> If you have an eCS license, they are available from www.ecomstation dot com.
>
Thanks Chuck. I downloaded these and installed them.

I bought a Shintaro Slimline Pocket Disk,  USB2.0  128MB today and it 
works OK.
However I have a couple of problems.

I inserted the USB Pocket disk prior to booting and noted that it was 
given the drive letter "I". I then rebooted and copied some files to it 
from WIN XP and rebooted to eCS 1.2 but the eCS screen froze so I 
rebooted with the USB Pocket disk out and noted that the Drives folder 
showed an "I" disk which of course was empty. I hot plugged the USB 
Pocket disk and it was recognized as Drive "J" and I was able to copy 
the files to eCS. I then found the ejection command and ejected the USB 
disk.

My mistake was not to eject the USB disk in the first place. I didn't 
think it was necessary, as at that stage it had nothing on it.

Question:   How can I get rid of the "I" drive icon which persists?

Also, after installing the USB drivers I now have two CDROM drives 
showing instead of one. They are "S" and "T". If I put a CD in, the 
contents are shown when I open the "S" drive.

Question:   Why has the second CDROM drive been added?

Regards,

Alan Duval
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 23 Feb 2006 16:43:32 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  USB Flash Memory

Hi Alan,

You should not have any trouble, the last time I had your computer to fix,
I updated the drivers with the eCSMT of Chuck's.   If you are not sure, 
just go online and use the eCSMT tool to see if any updates are available 
for you.

I tried USB under eCS and winXP and it worked.  Under eCS I used my USB 
flash drive to enter your registration details everytime I installed eCS 1.2r.  

Other than that, just buy a reasonable USB flash drive and try it and see what 
happens.  Brand I have is "Legend" 256mb which I have not seen for a while,
but I believe most work ok.

Regards,
Robert Traynor (BobT).
23 February 2006   16:39

<BIG SNIP>
On Wed, 22 Feb 2006 21:22:39 +1100, Alan Duval wrote:
> I had a look at the above site and could only see the following drivers:
> 
> 1.   USB 1.1 Basic Device Drivers / MSD  Driver set,  Version 1.2b  
> dated  26/1/03
> 
> 2.   Latest official IBM device driver build 10.097 (required for use of 
> USB keys)
<BIG SNIP>

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 23 Feb 2006 17:16:27 +1100 (EDT)
From:  "Christopher McRae" <christopher.mcrae at mq.edu.au>
Subject:  Re:  Firefox nspr4.dll

Hi Gavin,

>When I have Thunderbird and Firefox running together, I often get an 
>error message "Couldn't find nspr4.  Probably unsupported browser." in 
>Firfox; often on pages that require Flash.  The only thing to remedy 
>this is to close TB and restart FF.  Annoying.  Any ideas?

It's the way nspr4 gets loaded. If you start TB before FF, you will get 
this error. Simple solution is to start FF first.

Cheers,

  -- Chris

---------------------------------------------------------------------
Dr Christopher McRae       _--_|\  Email: christopher.mcrae at mq.edu.au
Department of Chemistry   /      \ Voice: +61-2-9850-8288
and Biomolecular Sciences \_.--._*   FAX: +61-2-9850-8313
Macquarie University            v    ICQ: 58165023
Sydney  NSW  2109
Australia

The box said "Requires Windows 2000 or better.", so I used OS/2 :-) 

----------------------------------------------------------------------------------